diff --git a/kmail/kmmsgbase.cpp b/kmail/kmmsgbase.cpp
index eb8ed59e0..e69dcdfb0 100644
--- a/kmail/kmmsgbase.cpp
+++ b/kmail/kmmsgbase.cpp
@@ -142,7 +142,7 @@ void KMMsgBase::toggletqStatus(const KMMsgtqStatus atqStatus, int idx)
   }
   if (storage()) {
      if (idx < 0)
-       idx = storage()->tqfind( this );
+       idx = storage()->find( this );
      storage()->msgStatusChanged( oldtqStatus, status(), idx );
      storage()->headerOfMsgChanged(this, idx);
   }
@@ -258,7 +258,7 @@ void KMMsgBase::setqStatus(const KMMsgtqStatus atqStatus, int idx)
 
   if ( oldtqStatus != mtqStatus && storage() ) {
     if (idx < 0)
-      idx = storage()->tqfind( this );
+      idx = storage()->find( this );
     storage()->msgStatusChanged( oldtqStatus, status(), idx );
     storage()->headerOfMsgChanged( this, idx );
   }
@@ -608,7 +608,7 @@ TQStringList KMMsgBase::supportedEncodings(bool usAscii)
   {
     TQTextCodec *codec = KGlobal::charsets()->codecForName(*it);
     TQString mimeName = (codec) ? TQString(codec->mimeName()).lower() : (*it);
-    if (mimeNames.tqfind(mimeName) == mimeNames.end())
+    if (mimeNames.find(mimeName) == mimeNames.end())
     {
       encodings.append(KGlobal::charsets()->languageForEncoding(*it)
         + " ( " + mimeName + " )");
@@ -665,7 +665,7 @@ TQString KMMsgBase::decodeRFC2047String(const TQCString& aStr, TQCString prefCha
   if ( str.isEmpty() )
     return TQString();
 
-  if ( str.tqfind( "=?" ) < 0 ) {
+  if ( str.find( "=?" ) < 0 ) {
     if ( !prefCharset.isEmpty() &&
          kmkernel->isCodecAsciiCompatible( KMMsgBase::codecForName( prefCharset ) ) ) {
       if ( prefCharset == "us-ascii" ) {
@@ -813,7 +813,7 @@ TQCString KMMsgBase::encodeRFC2047String(const TQString& _str,
     start = pos; p = pos;
     while (p < strLength)
     {
-      if (!breakLine && (_str.tqat(p) == ' ' || dontQuote.tqfind(_str.tqat(p)) != -1))
+      if (!breakLine && (_str.tqat(p) == ' ' || dontQuote.find(_str.tqat(p)) != -1))
         start = p + 1;
       if (_str.tqat(p).tqunicode() >= 128 || _str.tqat(p).tqunicode() < 32)
         break;
@@ -821,9 +821,9 @@ TQCString KMMsgBase::encodeRFC2047String(const TQString& _str,
     }
     if (breakLine || p < strLength)
     {
-      while (dontQuote.tqfind(_str.tqat(start)) != -1) start++;
+      while (dontQuote.find(_str.tqat(start)) != -1) start++;
       stop = start;
-      while (stop < strLength && dontQuote.tqfind(_str.tqat(stop)) == -1)
+      while (stop < strLength && dontQuote.find(_str.tqat(stop)) == -1)
         stop++;
       result += _str.mid(pos, start - pos).latin1();
       encLength = encodeRFC2047Quoted(codec->fromUnicode(_str.
@@ -849,7 +849,7 @@ TQCString KMMsgBase::encodeRFC2047String(const TQString& _str,
       if (result.right(5) == "?=\n  ") {
         start--; result.truncate(result.length() - 1);
       }
-      int lastNewLine = result.tqfindRev("\n ");
+      int lastNewLine = result.findRev("\n ");
       if (!result.mid(lastNewLine).stripWhiteSpace().isEmpty()
         && result.length() - lastNewLine + encLength + 2 > maxLen)
           result += "\n ";
@@ -946,12 +946,12 @@ TQCString KMMsgBase::encodeRFC2231StringAutoDetectCharset( const TQString &str,
 //-----------------------------------------------------------------------------
 TQString KMMsgBase::decodeRFC2231String(const TQCString& _str)
 {
-  int p = _str.tqfind('\'');
+  int p = _str.find('\'');
   if (p < 0) return kmkernel->networkCodec()->toUnicode(_str);
 
   TQCString charset = _str.left(p);
 
-  TQCString st = _str.mid(_str.tqfindRev('\'') + 1);
+  TQCString st = _str.mid(_str.findRev('\'') + 1);
   char ch, ch2;
   p = 0;
   while (p < (int)st.length())
@@ -996,10 +996,10 @@ TQCString KMMsgBase::extractRFC2231HeaderField( const TQCString &aStr, const TQC
       // Quoted values end at the ending quote
       if ( aStr[startPart] == '"' ) {
         startPart++; // the double quote isn't part of the filename
-        endPart = aStr.tqfind('"', startPart) - 1;
+        endPart = aStr.find('"', startPart) - 1;
       }
       else {
-        endPart = aStr.tqfind(';', startPart) - 1;
+        endPart = aStr.find(';', startPart) - 1;
       }
       if (endPart < 0)
         endPart = 32767;
@@ -1081,7 +1081,7 @@ unsigned long KMMsgBase::getMsgSerNum() const
   if (msn)
     return msn;
   if (mParent) {
-    int index = mParent->tqfind((KMMsgBase*)this);
+    int index = mParent->find((KMMsgBase*)this);
     msn = KMMsgDict::instance()->getMsgSerNum(mParent, index);
     if (msn)
       MessageProperty::setSerialCache( this, msn );
@@ -1450,11 +1450,11 @@ void KMMsgBase::readConfig()
   sReplySubjPrefixes = composerGroup.readListEntry("reply-prefixes", ',');
   if (sReplySubjPrefixes.isEmpty())
     sReplySubjPrefixes << "Re\\s*:" << "Re\\[\\d+\\]:" << "Re\\d+:";
-  sReplaceSubjPrefix = composerGroup.readBoolEntry("tqreplace-reply-prefix", true);
+  sReplaceSubjPrefix = composerGroup.readBoolEntry("replace-reply-prefix", true);
   sForwardSubjPrefixes = composerGroup.readListEntry("forward-prefixes", ',');
   if (sForwardSubjPrefixes.isEmpty())
     sForwardSubjPrefixes << "Fwd:" << "FW:";
-  sReplaceForwSubjPrefix = composerGroup.readBoolEntry("tqreplace-forward-prefix", true);
+  sReplaceForwSubjPrefix = composerGroup.readBoolEntry("replace-forward-prefix", true);
 }
 
 //-----------------------------------------------------------------------------
@@ -1469,7 +1469,7 @@ TQString KMMsgBase::stripOffPrefixes( const TQString& str )
 // static
 TQString KMMsgBase::replacePrefixes( const TQString& str,
                                     const TQStringList& prefixRegExps,
-                                    bool tqreplace,
+                                    bool replace,
                                     const TQString& newPrefix )
 {
   bool recognized = false;
@@ -1489,8 +1489,8 @@ TQString KMMsgBase::replacePrefixes( const TQString& str,
     TQString tmp = str;
     if ( rx.search( tmp ) == 0 ) {
       recognized = true;
-      if ( tqreplace )
-	return tmp.tqreplace( 0, rx.matchedLength(), newPrefix + ' ' );
+      if ( replace )
+	return tmp.replace( 0, rx.matchedLength(), newPrefix + ' ' );
     }
   }
   if ( !recognized )
@@ -1508,10 +1508,10 @@ TQString KMMsgBase::cleanSubject() const
 
 //-----------------------------------------------------------------------------
 TQString KMMsgBase::cleanSubject( const TQStringList & prefixRegExps,
-                                 bool tqreplace,
+                                 bool replace,
                                  const TQString & newPrefix ) const
 {
-  return KMMsgBase::replacePrefixes( subject(), prefixRegExps, tqreplace,
+  return KMMsgBase::replacePrefixes( subject(), prefixRegExps, replace,
                                      newPrefix );
 }
 
diff --git a/kmail/kmmsgbase.h b/kmail/kmmsgbase.h
index e3bf0029c..94d5d966e 100644
--- a/kmail/kmmsgbase.h
+++ b/kmail/kmmsgbase.h
@@ -414,7 +414,7 @@ public:
   **/
   static TQString replacePrefixes( const TQString& str,
                                   const TQStringList& prefixRegExps,
-                                  bool tqreplace,
+                                  bool replace,
                                   const TQString& newPrefix );
 
   /** Returns @p str with all "forward" and "reply" prefixes stripped off.
@@ -427,7 +427,7 @@ public:
       sequence of whitespace-delimited prefixes at the beginning of
       #subject() is replaced by @p newPrefix
   **/
-  TQString cleanSubject(const TQStringList& prefixRegExps, bool tqreplace,
+  TQString cleanSubject(const TQStringList& prefixRegExps, bool replace,
 		       const TQString& newPrefix) const;
 
   /** Return this mails subject, with all "forward" and "reply"
diff --git a/kmail/kmmsgdict.cpp b/kmail/kmmsgdict.cpp
index 223a8adf9..f49437928 100644
--- a/kmail/kmmsgdict.cpp
+++ b/kmail/kmmsgdict.cpp
@@ -215,15 +215,15 @@ unsigned long KMMsgDict::insert(unsigned long msgSerNum,
   }
 
   if (index == -1)
-    index = folder->tqfind(msg);
+    index = folder->find(msg);
 
   // Should not happen, indicates id file corruption
-  while (dict->tqfind((long)msn)) {
+  while (dict->find((long)msn)) {
     msn = getNextMsgSerNum();
     folder->setDirty( true ); // rewrite id file
   }
 
-  // Insert into the dict. Don't use dict->tqreplace() as we _know_
+  // Insert into the dict. Don't use dict->replace() as we _know_
   // there is no entry with the same msn, we just made sure.
   KMMsgDictEntry *entry = new KMMsgDictEntry(folder->folder(), index);
   dict->insert((long)msn, entry);
@@ -246,12 +246,12 @@ unsigned long KMMsgDict::insert(const KMMsgBase *msg, int index)
 
 //-----------------------------------------------------------------------------
 
-void KMMsgDict::tqreplace(unsigned long msgSerNum,
+void KMMsgDict::replace(unsigned long msgSerNum,
 		       const KMMsgBase *msg, int index)
 {
   KMFolderIndex* folder = static_cast<KMFolderIndex*>( msg->storage() );
   if ( !folder ) {
-    kdDebug(5006) << "KMMsgDict::tqreplace: Cannot replace the message serial "
+    kdDebug(5006) << "KMMsgDict::replace: Cannot replace the message serial "
       << "number, null pointer to storage. Requested serial: " << msgSerNum
       << endl;
     kdDebug(5006) << "  Message info: Subject: " << msg->subject() << ", To: "
@@ -260,7 +260,7 @@ void KMMsgDict::tqreplace(unsigned long msgSerNum,
   }
 
   if ( index == -1 )
-    index = folder->tqfind( msg );
+    index = folder->find( msg );
 
   remove( msgSerNum );
   KMMsgDictEntry *entry = new KMMsgDictEntry( folder->folder(), index );
@@ -279,7 +279,7 @@ void KMMsgDict::tqreplace(unsigned long msgSerNum,
 void KMMsgDict::remove(unsigned long msgSerNum)
 {
   long key = (long)msgSerNum;
-  KMMsgDictEntry *entry = (KMMsgDictEntry *)dict->tqfind(key);
+  KMMsgDictEntry *entry = (KMMsgDictEntry *)dict->find(key);
   if (!entry)
     return;
 
@@ -319,7 +319,7 @@ void KMMsgDict::update(const KMMsgBase *msg, int index, int newIndex)
 void KMMsgDict::getLocation(unsigned long key,
                             KMFolder **retFolder, int *retIndex) const
 {
-  KMMsgDictEntry *entry = (KMMsgDictEntry *)dict->tqfind((long)key);
+  KMMsgDictEntry *entry = (KMMsgDictEntry *)dict->find((long)key);
   if (entry) {
     *retFolder = (KMFolder *)entry->folder;
     *retIndex = entry->index;
@@ -448,7 +448,7 @@ int KMMsgDict::readFolderIds( FolderStorage& storage )
     if (swapByteOrder)
        msn = kmail_swap_32(msn);
 
-    if (!readOk || dict->tqfind(msn)) {
+    if (!readOk || dict->find(msn)) {
       for (unsigned int i = 0; i < index; i++) {
         msn = rentry->getMsn(i);
         dict->remove((long)msn);
@@ -468,7 +468,7 @@ int KMMsgDict::readFolderIds( FolderStorage& storage )
       Q_ASSERT( msn != 0 );
     }
 
-    // Insert into the dict. Don't use dict->tqreplace() as we _know_
+    // Insert into the dict. Don't use dict->replace() as we _know_
     // there is no entry with the same msn, we just made sure.
     KMMsgDictEntry *entry = new KMMsgDictEntry( storage.folder(), index);
     dict->insert((long)msn, entry);
diff --git a/kmail/kmmsgdict.h b/kmail/kmmsgdict.h
index a13165340..60fabf6c8 100644
--- a/kmail/kmmsgdict.h
+++ b/kmail/kmmsgdict.h
@@ -97,7 +97,7 @@ private:
   unsigned long insert(const KMMsgBase *msg, int index = -1);
 
   /** Set the serial number of @p msg to @p msgSerNum */
-  void tqreplace(unsigned long msgSerNum,
+  void replace(unsigned long msgSerNum,
                const KMMsgBase *msg, int index = -1);
 
   /** Removes a message. */
diff --git a/kmail/kmmsgpart.cpp b/kmail/kmmsgpart.cpp
index 9e71f285d..447993db8 100644
--- a/kmail/kmmsgpart.cpp
+++ b/kmail/kmmsgpart.cpp
@@ -45,7 +45,7 @@ KMMessagePart::KMMessagePart( TQDataStream & stream )
   KPIM::kAsciiToUpper( mOriginalContentTypeStr.data() );
 
   // set the type
-  int sep = mOriginalContentTypeStr.tqfind('/');
+  int sep = mOriginalContentTypeStr.find('/');
   mType = mOriginalContentTypeStr.left(sep);
   mSubtype = mOriginalContentTypeStr.mid(sep+1);
 
@@ -406,7 +406,7 @@ TQCString KMMessagePart::bodyDecoded(void) const
   //kdWarning( result.length() != (unsigned int)len, 5006 )
   //  << "KMMessagePart::bodyDecoded(): body is binary but used as text!" << endl;
 
-  result = result.tqreplace( "\r\n", "\n" ); // CRLF -> LF conversion
+  result = result.replace( "\r\n", "\n" ); // CRLF -> LF conversion
 
   assert( mBodyDecodedSize < 0 || mBodyDecodedSize == len );
   if ( mBodyDecodedSize < 0 )
@@ -425,7 +425,7 @@ void KMMessagePart::magicSetType(bool aAutoDecode)
   KMimeMagicResult * result = KMimeMagic::self()->findBufferType( body );
 
   TQString mimetype = result->mimeType();
-  const int sep = mimetype.tqfind('/');
+  const int sep = mimetype.find('/');
   mType = mimetype.left(sep).latin1();
   mSubtype = mimetype.mid(sep+1).latin1();
 }
@@ -558,7 +558,7 @@ TQString KMMessagePart::fileName(void) const
 
   // Allow for multiple filname*0, filename*1, ... params (defined by RFC 2231)
   // in the Content-Disposision
-  if ( mContentDisposition.tqcontains( "filename*", false ) ) {
+  if ( mContentDisposition.contains( "filename*", false ) ) {
 
     // It's RFC 2231 encoded, so extract the file name with the 2231 method
     str = KMMsgBase::extractRFC2231HeaderField( mContentDisposition, "filename" );
@@ -568,7 +568,7 @@ TQString KMMessagePart::fileName(void) const
 
     // Standard RFC 2047-encoded
     // search the start of the filename
-    int startOfFilename = mContentDisposition.tqfind("filename=", 0, false);
+    int startOfFilename = mContentDisposition.find("filename=", 0, false);
     if (startOfFilename < 0)
       return TQString();
     startOfFilename += 9;
@@ -577,10 +577,10 @@ TQString KMMessagePart::fileName(void) const
     int endOfFilename;
     if ( '"' == mContentDisposition[startOfFilename] ) {
       startOfFilename++; // the double quote isn't part of the filename
-      endOfFilename = mContentDisposition.tqfind('"', startOfFilename) - 1;
+      endOfFilename = mContentDisposition.find('"', startOfFilename) - 1;
     }
     else {
-      endOfFilename = mContentDisposition.tqfind(';', startOfFilename) - 1;
+      endOfFilename = mContentDisposition.find(';', startOfFilename) - 1;
     }
     if (endOfFilename < 0)
       endOfFilename = 32767;
diff --git a/kmail/kmmsgpartdlg.cpp b/kmail/kmmsgpartdlg.cpp
index a56bee17d..167ff8deb 100644
--- a/kmail/kmmsgpartdlg.cpp
+++ b/kmail/kmmsgpartdlg.cpp
@@ -370,7 +370,7 @@ void KMMsgPartDialogCompat::setMsgPart( KMMessagePart * aMsgPart )
   setMimeType( mMsgPart->typeStr(), mMsgPart->subtypeStr() );
   setSize( mMsgPart->decodedSize() );
   setInline( mMsgPart->contentDisposition()
-	     .tqfind( TQRegExp("^\\s*inline", false) ) >= 0 );
+	     .find( TQRegExp("^\\s*inline", false) ) >= 0 );
 }
 
 
@@ -396,7 +396,7 @@ void KMMsgPartDialogCompat::applyChanges()
     if ( name != TQString( encName ) )
       cDisp += "*=" + encName;
     else
-      cDisp += "=\"" + encName.tqreplace( '\\', "\\\\" ).tqreplace( '"', "\\\"" ) + '"';
+      cDisp += "=\"" + encName.replace( '\\', "\\\\" ).replace( '"', "\\\"" ) + '"';
     mMsgPart->setContentDisposition( cDisp );
   }
 
@@ -408,7 +408,7 @@ void KMMsgPartDialogCompat::applyChanges()
   // apply Content-Type:
   TQCString type = mimeType().latin1();
   TQCString subtype;
-  int idx = type.tqfind('/');
+  int idx = type.find('/');
   if ( idx < 0 )
     subtype = "";
   else {
diff --git a/kmail/kmreaderwin.cpp b/kmail/kmreaderwin.cpp
index b8937dc06..19f0410a9 100644
--- a/kmail/kmreaderwin.cpp
+++ b/kmail/kmreaderwin.cpp
@@ -1694,7 +1694,7 @@ TQString KMReaderWin::writeMessagePartToTempFile( KMMessagePart* aMsgPart,
     return TQString();
 
   // strip off a leading path
-  int slashPos = fileName.tqfindRev( '/' );
+  int slashPos = fileName.findRev( '/' );
   if( -1 != slashPos )
     fileName = fileName.mid( slashPos + 1 );
   if( fileName.isEmpty() )
@@ -1764,8 +1764,8 @@ int KMReaderWin::msgPartFromUrl(const KURL &aUrl)
   if (!aUrl.isLocalFile()) return -1;
 
   TQString path = aUrl.path();
-  uint right = path.tqfindRev('/');
-  uint left = path.tqfindRev('.', right);
+  uint right = path.findRev('/');
+  uint left = path.findRev('.', right);
 
   bool ok;
   int res = path.mid(left + 1, right - left - 1).toInt(&ok);
@@ -1845,15 +1845,15 @@ bool foundSMIMEData( const TQString aUrl,
   displayName = "";
   libName = "";
   keyId = "";
-  int i1 = aUrl.tqfind( showCertMan );
+  int i1 = aUrl.find( showCertMan );
   if( -1 < i1 ) {
     i1 += showCertMan.length();
-    int i2 = aUrl.tqfind(" ### ", i1);
+    int i2 = aUrl.find(" ### ", i1);
     if( i1 < i2 )
     {
       displayName = aUrl.mid( i1, i2-i1 );
       i1 = i2+5;
-      i2 = aUrl.tqfind(" ### ", i1);
+      i2 = aUrl.find(" ### ", i1);
       if( i1 < i2 )
       {
         libName = aUrl.mid( i1, i2-i1 );
@@ -2577,8 +2577,8 @@ KURL KMReaderWin::tempFileUrlFromPartNode( const partNode * node )
   while ( it != end ) {
       TQString path = *it;
       it++;
-      uint right = path.tqfindRev('/');
-      uint left = path.tqfindRev('.', right);
+      uint right = path.findRev('/');
+      uint left = path.findRev('.', right);
 
       bool ok;
       int res = path.mid(left + 1, right - left - 1).toInt(&ok);
diff --git a/kmail/kmsearchpattern.cpp b/kmail/kmsearchpattern.cpp
index 4af3d68a0..4c4340a2b 100644
--- a/kmail/kmsearchpattern.cpp
+++ b/kmail/kmsearchpattern.cpp
@@ -33,7 +33,7 @@ using KMail::FilterLog;
 #include <assert.h>
 
 static const char* funcConfigNames[] =
-  { "tqcontains", "tqcontains-not", "equals", "not-equal", "regexp",
+  { "contains", "contains-not", "equals", "not-equal", "regexp",
     "not-regexp", "greater", "less-or-equal", "less", "greater-or-equal",
     "is-in-addressbook", "is-not-in-addressbook" , "is-in-category", "is-not-in-category",
     "has-attachment", "has-no-attachment"};
@@ -281,10 +281,10 @@ bool KMSearchRuleString::matches( const DwString & aStr, KMMessage & msg,
       rc = ( ( function() & 1 ) == 1 );
     else {
       start += headerLen;
-      size_t stop = aStr.tqfind( '\n', start );
+      size_t stop = aStr.find( '\n', start );
       char ch = '\0';
       while ( stop != DwString::npos && ( ( ch = aStr.at( stop + 1 ) ) == ' ' || ch == '\t' ) )
-        stop = aStr.tqfind( '\n', stop + 1 );
+        stop = aStr.find( '\n', stop + 1 );
       const int len = stop == DwString::npos ? aStr.length() - start : stop - start ;
       const TQCString codedValue( aStr.data() + start, len + 1 );
       const TQString msgContents = KMMsgBase::decodeRFC2047String( codedValue ).stripWhiteSpace(); // FIXME: This needs to be changed for IDN support.
@@ -294,11 +294,11 @@ bool KMSearchRuleString::matches( const DwString & aStr, KMMessage & msg,
     static const DwBoyerMoore to("\nTo: ");
     static const DwBoyerMoore cc("\nCc: ");
     static const DwBoyerMoore bcc("\nBcc: ");
-    // <recipients> "tqcontains" "foo" is true if any of the fields tqcontains
+    // <recipients> "contains" "foo" is true if any of the fields contains
     // "foo", while <recipients> "does not contain" "foo" is true if none
-    // of the fields tqcontains "foo"
+    // of the fields contains "foo"
     if ( ( function() & 1 ) == 0 ) {
-      // positive function, e.g. "tqcontains"
+      // positive function, e.g. "contains"
       rc = ( matches( aStr, msg, &to, 2 ) ||
              matches( aStr, msg, &cc, 2 ) ||
              matches( aStr, msg, &bcc, 3 ) );
@@ -419,10 +419,10 @@ bool KMSearchRuleString::matchesInternal( const TQString & msgContents ) const
       return ( TQString::compare( msgContents.lower(), contents().lower() ) != 0 );
 
   case KMSearchRule::FuncContains:
-    return ( msgContents.tqfind( contents(), 0, false ) >= 0 );
+    return ( msgContents.find( contents(), 0, false ) >= 0 );
 
   case KMSearchRule::FuncContainsNot:
-    return ( msgContents.tqfind( contents(), 0, false ) < 0 );
+    return ( msgContents.find( contents(), 0, false ) < 0 );
 
   case KMSearchRule::FuncRegExp:
     {
@@ -576,10 +576,10 @@ bool KMSearchRuleNumerical::matchesInternal( long numericalValue,
       return ( numericalValue != numericalMsgContents );
 
   case KMSearchRule::FuncContains:
-    return ( msgContents.tqfind( contents(), 0, false ) >= 0 );
+    return ( msgContents.find( contents(), 0, false ) >= 0 );
 
   case KMSearchRule::FuncContainsNot:
-    return ( msgContents.tqfind( contents(), 0, false ) < 0 );
+    return ( msgContents.find( contents(), 0, false ) < 0 );
 
   case KMSearchRule::FuncRegExp:
     {
diff --git a/kmail/kmsearchpattern.h b/kmail/kmsearchpattern.h
index 4c2cb75de..87533a250 100644
--- a/kmail/kmsearchpattern.h
+++ b/kmail/kmsearchpattern.h
@@ -90,7 +90,7 @@ public:
 
   /** Determine whether the rule is worth considering. It isn't if
       either the field is not set or the contents is empty.
-      KFilter should make sure that it's rule list tqcontains
+      KFilter should make sure that it's rule list contains
       only non-empty rules, as matches doesn't check this. */
   virtual bool isEmpty() const = 0;
 
@@ -299,7 +299,7 @@ public:
     under which it could be stored in the config file.
 
     As a TQPtrList with autoDelete enabled, it assumes that it is the
-    central repository for the rules it tqcontains. So if you want to
+    central repository for the rules it contains. So if you want to
     reuse a rule in another pattern, make a deep copy of that rule.
 
     @short An abstraction of a search over messages.
diff --git a/kmail/kmsender.cpp b/kmail/kmsender.cpp
index add465642..987e4928a 100644
--- a/kmail/kmsender.cpp
+++ b/kmail/kmsender.cpp
@@ -404,7 +404,7 @@ void KMSender::doSendMsg()
     if (mCurrentMsg->tqparent() && !imapSentFolder) {
       // for speed optimization, this code assumes that mCurrentMsg is the
       // last one in it's tqparent folder; make sure that's really the case:
-      assert( mCurrentMsg->tqparent()->tqfind( mCurrentMsg )
+      assert( mCurrentMsg->tqparent()->find( mCurrentMsg )
               == mCurrentMsg->tqparent()->count() - 1 );
        // unGet this message:
       mCurrentMsg->tqparent()->unGetMsg( mCurrentMsg->tqparent()->count() -1 );
@@ -710,7 +710,7 @@ void KMSender::slotIdle()
       mFailedMessages++;
       // reset cached password
       TQMapIterator <TQString,TQString> pc;
-      if ( (pc = mPasswdCache.tqfind( mMethodStr )) != mPasswdCache.end() ) {
+      if ( (pc = mPasswdCache.find( mMethodStr )) != mPasswdCache.end() ) {
         mPasswdCache.erase(pc);
       }
       // Sending of message failed.
@@ -800,7 +800,7 @@ KMSendProc* KMSender::createSendProcFromString( const TQString & transport )
       mTransportInfo->auth = false;
       mTransportInfo->encryption = "NONE";
       TQString serverport = transport.mid(7);
-      int colon = serverport.tqfind(':');
+      int colon = serverport.find(':');
       if (colon != -1) {
         mTransportInfo->host = serverport.left(colon);
         mTransportInfo->port = serverport.mid(colon + 1);
@@ -815,7 +815,7 @@ KMSendProc* KMSender::createSendProcFromString( const TQString & transport )
       mTransportInfo->auth = false;
       mTransportInfo->encryption = "ssl";
       TQString serverport = transport.mid(7);
-      int colon = serverport.tqfind(':');
+      int colon = serverport.find(':');
       if (colon != -1) {
         mTransportInfo->host = serverport.left(colon);
         mTransportInfo->port = serverport.mid(colon + 1);
@@ -1019,7 +1019,7 @@ void KMSendSendmail::receivedStderr(KProcess *proc, char *buffer, int buflen)
 {
   assert(proc!=0);
   Q_UNUSED( proc );
-  mLastErrorMessage.tqreplace(mLastErrorMessage.length(), buflen, buffer);
+  mLastErrorMessage.replace(mLastErrorMessage.length(), buflen, buffer);
 }
 
 
@@ -1082,7 +1082,7 @@ bool KMSendSMTP::doSend( const TQString & sender, const TQStringList & to, const
 
   if (ti->auth)
   {
-    TQMapIterator<TQString,TQString> tpc = mSender->mPasswdCache.tqfind( ti->name );
+    TQMapIterator<TQString,TQString> tpc = mSender->mPasswdCache.find( ti->name );
     TQString tpwd = ( tpc != mSender->mPasswdCache.end() )?(*tpc):TQString();
 
     if ( ti->passwd().isEmpty() )
diff --git a/kmail/kmservertest.cpp b/kmail/kmservertest.cpp
index 67dc0f2d5..c7f96ce36 100644
--- a/kmail/kmservertest.cpp
+++ b/kmail/kmservertest.cpp
@@ -112,17 +112,17 @@ void KMServerTest::slotData(KIO::Job *, const TQString &data)
 
 
 void KMServerTest::slotMetaData( const KIO::MetaData & md ) {
-  KIO::MetaData::const_iterator it = md.tqfind( "PLAIN AUTH METHODS" );
+  KIO::MetaData::const_iterator it = md.find( "PLAIN AUTH METHODS" );
   if ( it != md.end() ) {
     mAuthNone = it.data();
     kdDebug(5006) << "mAuthNone: " << mAuthNone << endl;
   }
-  it = md.tqfind( "TLS AUTH METHODS" );
+  it = md.find( "TLS AUTH METHODS" );
   if ( it != md.end() ) {
     mAuthTLS = it.data();
     kdDebug(5006) << "mAuthTLS: " << mAuthTLS << endl;
   }
-  it = md.tqfind( "SSL AUTH METHODS" );
+  it = md.find( "SSL AUTH METHODS" );
   if ( it != md.end() ) {
     mAuthSSL = it.data();
     kdDebug(5006) << "mAuthSSL: " << mAuthSSL << endl;
@@ -142,7 +142,7 @@ void KMServerTest::slotSlaveResult(KIO::Slave *aSlave, int error,
   if (aSlave != mSlave) return;
   if ( mSSL && error == 0 ) {
     // add a dummy entry to the list of SSL capabilities so that the receiver
-    // of the capabilities signal can use mListSSL.isEmpty() in order to tqfind
+    // of the capabilities signal can use mListSSL.isEmpty() in order to find
     // out whether SSL is supported
     mListSSL.append("SSL");
   }
diff --git a/kmail/kmstartup.cpp b/kmail/kmstartup.cpp
index fd3d7bd7e..4d82e9e19 100644
--- a/kmail/kmstartup.cpp
+++ b/kmail/kmstartup.cpp
@@ -173,7 +173,7 @@ void lockOrDie() {
               path_buffer[length] = '\0';
               const TQString path = TQFile::decodeName(path_buffer);
               kdDebug() << k_funcinfo << path << endl;
-              const int pos = path.tqfindRev('/');
+              const int pos = path.findRev('/');
               const TQString fileName = path.mid(pos+1);
               kdDebug() << "Found process " << oldPid << " running. It's: " << fileName << endl;
               first_instance = fileName != "kmail" && fileName != "kontact";
diff --git a/kmail/kmsystemtray.cpp b/kmail/kmsystemtray.cpp
index 9742d6278..1c6bc0363 100644
--- a/kmail/kmsystemtray.cpp
+++ b/kmail/kmsystemtray.cpp
@@ -483,7 +483,7 @@ void KMSystemTray::updateNewMessages()
   int unread = fldr->countUnread();
 
   TQMap<TQGuardedPtr<KMFolder>, int>::Iterator it =
-      mFoldersWithUnread.tqfind(fldr);
+      mFoldersWithUnread.find(fldr);
   bool unmapped = (it == mFoldersWithUnread.end());
 
   /** If the folder is not mapped yet, increment count by numUnread
diff --git a/kmail/kmtransport.cpp b/kmail/kmtransport.cpp
index 46ed0efc9..e5afc1c6d 100644
--- a/kmail/kmtransport.cpp
+++ b/kmail/kmtransport.cpp
@@ -522,7 +522,7 @@ void KMTransportDialog::makeSmtpPage()
   mSmtp.authDigestMd5 = new TQRadioButton( i18n("&DIGEST-MD5"), mSmtp.authGroup );
   mSmtp.authNTLM = new TQRadioButton( i18n("&NTLM"), mSmtp.authGroup );
   mSmtp.authGSSAPI = new TQRadioButton( i18n("&GSSAPI"), mSmtp.authGroup );
-  if ( KProtocolInfo::capabilities("smtp").tqcontains("SASL") == 0 ) {
+  if ( KProtocolInfo::capabilities("smtp").contains("SASL") == 0 ) {
     mSmtp.authNTLM->hide();
     mSmtp.authGSSAPI->hide();
   }
@@ -735,7 +735,7 @@ void KMTransportDialog::checkHighest(TQButtonGroup *btnGroup)
 {
   for ( int i = btnGroup->count() - 1; i >= 0 ; --i )
   {
-    TQButton * btn = btnGroup->tqfind(i);
+    TQButton * btn = btnGroup->find(i);
     if (btn && btn->isEnabled())
     {
       btn->animateClick();
@@ -756,7 +756,7 @@ void KMTransportDialog::slotSmtpCapabilities( const TQStringList & capaNormal,
 	    << authNone << ", " << authSSL << ", " << authTLS << " )" << endl;
   mSmtp.encryptionNone->setEnabled( !capaNormal.isEmpty() );
   mSmtp.encryptionSSL->setEnabled( !capaSSL.isEmpty() );
-  mSmtp.encryptionTLS->setEnabled( capaNormal.tqfindIndex("STARTTLS") != -1 );
+  mSmtp.encryptionTLS->setEnabled( capaNormal.findIndex("STARTTLS") != -1 );
   if ( authNone.isEmpty() && authSSL.isEmpty() && authTLS.isEmpty() ) {
     // slave doesn't seem to support "* AUTH METHODS" metadata (or server can't do AUTH)
     mAuthNone = authMethodsFromStringList( capaNormal );
diff --git a/kmail/listjob.cpp b/kmail/listjob.cpp
index e126f3e56..e6726a9a5 100644
--- a/kmail/listjob.cpp
+++ b/kmail/listjob.cpp
@@ -230,7 +230,7 @@ void ListJob::slotListEntries( KIO::Job* job, const KIO::UDSEntryList& uds )
       // Some servers send _lots_ of duplicates
       // This check is too slow for huge lists
       if ( mSubfolderPaths.count() > 100 ||
-           mSubfolderPaths.tqfindIndex(url.path()) == -1 )
+           mSubfolderPaths.findIndex(url.path()) == -1 )
       {
         mSubfolderNames.append( name );
         mSubfolderPaths.append( url.path() );
